# PostFaintHPDamageAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostFaintHPDamageAbAttr

Attribute used for abilities (Innards Out) that damage the opponent based on how much HP the last attack used to knock out the owner of the ability.

#### Hierarchy (View Summary)

- PostFaintAbAttr
  - PostFaintHPDamageAbAttr

- Defined in src/data/ability.ts:4779

##### Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostFaint
canApply
canApplyPostFaint
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostFaintHPDamageAbAttr(): PostFaintHPDamageAbAttr

  #### Returns PostFaintHPDamageAbAttr

  Overrides PostFaintAbAttr.constructor

  - Defined in src/data/ability.ts:4780

## Properties

### showAbility

showAbility: boolean

Inherited from PostFaintAbAttr.showAbility

- Defined in src/data/ability.ts:184

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostFaintAbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): void

  Applies ability effects without checking conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - cancelled: null | BooleanHolder
  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns void

  #### See

  `canApply`

  Inherited from PostFaintAbAttr.apply

  - Defined in src/data/ability.ts:199

### applyPostFaint

- applyPostFaint(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  attacker?: default ,
  move?: default ,
  hitResult?: HitResult ,
  ...args: any[],
  ): void

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - `Optional` attacker: default
  - `Optional` move: default
  - `Optional` hitResult: HitResult
  - ...args: any[]

  #### Returns void

  Overrides PostFaintAbAttr.applyPostFaint

  - Defined in src/data/ability.ts:4784

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Inherited from PostFaintAbAttr.canApply

  - Defined in src/data/ability.ts:223

### canApplyPostFaint

- canApplyPostFaint(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  attacker?: default ,
  move?: default ,
  hitResult?: HitResult ,
  ...args: any[],
  ): boolean

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - `Optional` attacker: default
  - `Optional` move: default
  - `Optional` hitResult: HitResult
  - ...args: any[]

  #### Returns boolean

  Inherited from PostFaintAbAttr.canApplyPostFaint

  - Defined in src/data/ability.ts:4710

### getCondition

- getCondition(): null | AbAttrCondition

  #### Returns null | AbAttrCondition

  Inherited from PostFaintAbAttr.getCondition

  - Defined in src/data/ability.ts:205

### getTriggerMessage

- getTriggerMessage(pokemon: default , abilityName: string, ...args: any[]): string

  #### Parameters

  - pokemon: default
  - abilityName: string
  - ...args: any[]

  #### Returns string

  Overrides PostFaintAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:4792